"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.consoleHelperCommands = consoleHelperCommands;
var _path = _interopRequireDefault(require("path"));
var _logger = require("../utils/logger");
var _fs = require("fs");
// import { program } from "commander";

/**
 *  @note - make sure revamp code in  helper.js if library name is changed
 */
function showHelperCmds() {
  // const packageJsonPath = path.resolve(process.cwd(), "package.json");

  // if (existsSync(packageJsonPath) && process.argv.includes("--version")) {
  //   const { name, version } = require(packageJsonPath);
  //   Logger.log(Logger.SUCCESS_TYPE, `${name} Version: ${version}`);
  //   program.version(version || "0.0.1");
  // }

  _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, "Supported Commands:");
  program.name("npx ZDLintingFramework");
  program.command("lint").description("Lint directory and files locally.");
  program.command("lint-ci").description("Lint files in CI with optional SonarQube integration.");
  program.command("check-locally").description("Lint files locally with optional SonarQube integration.");
  program.command("init").description("Initialize configuration file.");
  program.command("help").description("Display list of supported commands.");
  program.option("--dir <path>", "Specify directory or file to lint (Usage: npx ZDLintingFramework lint --dir=path/to/file)");
  program.parse(process.argv);
}

/**
 *  @function consoleHelperCommands -  This method console supported commands
 *  @returns {void}
 */

function consoleHelperCommands() {
  const packageJsonPath = _path.default.resolve(process.cwd(), "package.json");
  if ((0, _fs.existsSync)(packageJsonPath) && process.argv.includes("--version")) {
    const version = require(packageJsonPath)["@zohodesk/codestandard-analytics"];
    _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, `${"@zohodesk/codestandard-analytics"} Version: ${version || '0.0.1'}`);
    return;
  }
  _logger.Logger.log(_logger.Logger.INFO_TYPE, `Supported Commands:`);
  _logger.Logger.log(_logger.Logger.INFO_TYPE, `Usage: npx ZDLintingFramework [command] [options]`);
  _logger.Logger.log(_logger.Logger.INFO_TYPE, 'Commands:\n' + '  lint           Lint directory and files locally.\n' + '  lint-ci        Lint files in CI with optional SonarQube integration.\n' + '  init           Initialize configuration file.\n' + '  fix            Assits to fix Lint issue \n' + '  help           Display list of supported commands.\n' + '  exemption-report          generate exemption report');
  _logger.Logger.log(_logger.Logger.INFO_TYPE, 'Options:\n' + '  --dir <path>   Specify directory or file to lint (Usage: npx ZDLintingFramework lint --dir=path/to/file)\n' + '  -h, --help     display help for command');
}